Subject: HYDER 300 AM ADT SAT APR 28 2007 .

From: "Marianne Curry" <[email-masked]>
Date: Sat, 28 Apr 2007 10:23:53 -0500

CDPN Acquires GPS And Wireless Transportation Development Company!

China Datacom Corp.
Sym: CDPN
Close: $0.065

CDPN, through its subsidiary "Supremacy Intl", acquired all outstanding
shares in General Link Information Systems. General manages, serves and
operates the only GPS vehicle monitoring and management system in China,
and provides a wide range of mobile applications for the transport
industry. This is HOT! It's already taking off, volume jumped through
the roof Friday! Read the release and get in on CDPN first thing Monday.

LOWS IN THE UPPER 30S. PARTS OF MEADOW ROAD WILL BE IMPASSABLE FOR A
TIME. THUNDERSTORMS AND HEAVIER RAIN SHOWERS WILL BRIEFLY PRODUCE SMALL
HAIL. NUNIVAK ISLAND 200 AM ADT SAT APR 28 2007 . FLOODING CONTINUES
ALONG THE RIVER SOUTHWARD THROUGH ESSEX.